/* You can add global styles to this file, and also import other style files */
//@import '~@angular/material/prebuilt-themes/indigo-pink.css';
@import url('assets/styles/yum-theme.css');
@import url('assets/styles/ring.css');
@import url('https://fonts.googleapis.com/css?family=Roboto');
@import url('https://fonts.googleapis.com/icon?family=Material+Icons');
@import url('assets/styles/food-icons.css');

html, body {
  font-family: 'Roboto', sans-serif;
  margin: 0;
  min-width: 1350px;
}

// Every component beetween header and footer is in here
.main-content {
  padding: 2em 5em;
}

// MdMenu
.mat-menu-panel {
  max-width: 500px !important;
}

// Dialog
md-dialog-content {
  padding: 24px !important;
}

// SnackBar
.success-snack-bar {
  background-color: #00cc99 !important;
}
.warning-snack-bar {
  background-color: #FF9800 !important;
}
.error-snack-bar {
  background-color: #F44336 !important;
}
.info-snack-bar {
  background-color: #03A9F4 !important;
}

// Typography
.bold-text {
  font-weight: bold;
}
.italic-text {
  font-style: italic;
}
.center-text {
  text-align: center;
}
.right-text {
  text-align: right;
}
.underlined-text {
  text-decoration: underline;
}
.button-strong-text {
  font-family: 'Arial Bold', 'Arial' !important;
  color: #FFF !important;
  font-weight: 700 !important;
  font-size: 18px !important;
}

// Hide input type number arrows
.no-spin::-webkit-inner-spin-button,
.no-spin::-webkit-outer-spin-button {
    -webkit-appearance: none !important;
    margin: 0 !important;
    -moz-appearance:textfield !important;
}

// Spinner overlay
.spinner-container {
  height: 100%;
  width: 100%;
  z-index: 1;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(255,255,255, 0.6);
}
.spinner-container-content {
  position: relative;
  top: calc(50% - 50px);
  left: calc(50% - 50px);
}
// Spinner
.small-md-spinner {
  width: 24px !important;
  height: 24px !important;
  margin: 5px;
}

// Links
.active-link {
  background-color: #000 !important;
  color: #FFF !important;
}

.inactive-link {
  background-color: #ff5b57;
  color: #FFF;
}
